/* stargate.h - Includefile
   (c) 1999 Felix Schwarz. All rights reserved.
*/

#ifndef _STARGATE_H
#define _STARGATE_H 1

/* The classic Stargate-Message */
struct SGMessage
{
        struct Message msg;
        struct fsbitmap *fsb;
};

/* The extended Stargate-Message */
struct SGMessageExt
{
        struct Message msg;
        ULONG type;             /* See defines below */
        APTR data;
};

#define SG_LOAD_IMAGE   1L /* data is a pointer to a NULL-terminated string containing
                            the filename of a picture to load */

#define SG_NUM_OF_IMGS  2L /* the number of imgs in memory is returned in data as
                              ULONG (no pointer!!) */

#define SG_GET_BITMAP   3L /* data is the id of the fsbitmap to return in data when
                              replying
                           */

#endif /* _STARGATE_H */
